Last modified: 2013-07-25 07:08:43 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 47504 - $wgHandheldStyle not really useful - remove it?
$wgHandheldStyle not really useful - remove it?
Status: RESOLVED FIXED
Product: MediaWiki
Classification: Unclassified
Interface (Other open bugs)
1.22.0
All All
: Low minor (vote)
: ---
Assigned To: Bartosz Dziewoński
:
Depends on:
Blocks: code_quality
  Show dependency treegraph
 
Reported: 2013-04-22 12:09 UTC by Bartosz Dziewoński
Modified: 2013-07-25 07:08 UTC (History)
6 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Bartosz Dziewoński 2013-04-22 12:09:54 UTC
$wgHandheldStyle, added by Brion back in 2008 (dc821ec1 / r38116), it slightly useless - it was only ever implemented for Monobook, and the only use-case given was using Chick's CSS for mobile devices with Monobook being the default skin - and now Chick is no more and Monobook isn't even the default.

Apart from that, it's only used to load styles from [[MediaWiki:Handheld.css]] if it's set (ResourceLoaderSiteModule.php).

Either it should be used consistently for all skins, preferably inside ResourceLoader, or it should be killed off. Personally I'd vote for killing.
Comment 1 Gerrit Notification Bot 2013-04-22 12:42:28 UTC
Related URL: https://gerrit.wikimedia.org/r/60259 (Gerrit Change Ia8d79b4a637a227eb1879fbb874173fdd9bd6d99)
Comment 2 Bartosz Dziewoński 2013-04-22 12:43:38 UTC
I have tentatively submitted a patch to remove it at Ia8d79b4a, waiting for input.
Comment 3 Matthew Flaschen 2013-05-21 22:27:28 UTC
Merged

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links